Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/assets/postapi-v-1-assets

# Create Asset

POST `https://{tenant}.atomicwork.com/api/v1/assets`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Body

#### asset\_type\_id (body, integer, required)

#### form\_fields (body, object, required)

#### image\_id (body, integer)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/assets' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"asset_type_id": 0, "form_fields": {}, "image_id": 0}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/assets', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"asset_type_id": 0, "form_fields": {}, "image_id": 0}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/assets',
    headers={'X-Api-Key': '<api-key>'},
    json={"asset_type_id": 0, "form_fields": {}, "image_id": 0}
)
data = res.json()
```
